export const replaceUndefinedValuesWithNull = <T extends object>(item: T): T => {
  return Object.entries(item).reduce(
    (previousValue, [key, value]) => ({
      ...previousValue,
      [key]: value === undefined ? null : value,
    }),
    {} as T,
  )
}
